Skip to main content
GET
/
locations
/
{location_id}
Get Location
curl --request GET \
  --url https://api.crosoftware.com/v0/locations/{location_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/locations/{location_id}"

headers = {
    "x-tenant-id": "<x-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/locations/{location_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "address": {
    "id": 123,
    "latitude": "<string>",
    "line_1": "<string>",
    "locality": "<string>",
    "longitude": "<string>",
    "region": "<string>",
    "line_2": "<string>",
    "line_3": "<string>",
    "line_4": "<string>",
    "postcode": "<string>"
  },
  "allow_new_asset_numbers": true,
  "asset_number_required": true,
  "auto_billing_setup": true,
  "auto_complete_dumps": true,
  "auto_rollover_enabled": true,
  "bar_code_type": "<string>",
  "billing_accounts_global": true,
  "contact": {
    "email": "jsmith@example.com",
    "id": 123,
    "name": "<string>",
    "number": "<string>"
  },
  "delivery_hidden": true,
  "delivery_name": "<string>",
  "distance_factor": "<string>",
  "distance_label": "<string>",
  "do_share_drivers": true,
  "driver_self_assignment": true,
  "dropoff_hidden": true,
  "dropoff_name": "<string>",
  "dtt_enabled": true,
  "exchange_hidden": true,
  "exchange_name": "<string>",
  "id": 123,
  "is_active": true,
  "leed_enabled": true,
  "main_inventory_name": "<string>",
  "name": "<string>",
  "notify_on_acknowledged_job": true,
  "notify_on_completed_job": true,
  "notify_on_dispatched_job": true,
  "notify_on_failed_job": true,
  "pickup_hidden": true,
  "pickup_name": "<string>",
  "require_reason_fail_delay": true,
  "require_reference_number": true,
  "require_signature": true,
  "service_disclaimer": "<string>",
  "service_hidden": true,
  "service_name": "<string>",
  "timezone": "<string>",
  "use_additional_items": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

location_id
integer<int64>
required

Location identifier.

Response

200 - application/json

Success

Location data.

address
object
required

Location address profile.

allow_new_asset_numbers
boolean
required

Allow input of new asset numbers.

asset_number_required
boolean
required

Require assets to have numbers.

auto_billing_setup
boolean
required

Automatically open billing when a customer is created through the CC.

auto_complete_dumps
boolean
required

Automatically complete dump jobs.

auto_rollover_enabled
boolean
required

Automatically move pending jobs scheduled for a date in the past to the current date.

bar_code_type
string
required

(deprecated) Set to any value to enable barcode scanning.

billing_accounts_global
boolean
required

Share billing accounts between locations.

contact
object
required

Location contact profile.

delivery_hidden
boolean
required

Hide delivery job type in user interfaces, except for existing delivery jobs (job type 'L').

delivery_name
string
required

Name used in the UI which replaces the word 'Delivery' for job types (job type 'L').

distance_factor
string
required

Conversion factor to get from kilometers to the desired distance unit of measurement

distance_label
string
required

Distance unit of measurement

do_share_drivers
boolean
required

Share drivers between locations

driver_self_assignment
boolean
required

Driver can self assign.

dropoff_hidden
boolean
required

Hide dropoff job type in user interfaces, except for existing delivery jobs (job type 'D').

dropoff_name
string
required

Name used in the UI which replaces the word 'Dropoff' for job types (job type 'D').

dtt_enabled
boolean
required

Enables the Daily Truck Timeline.

exchange_hidden
boolean
required

Hide exchange job type in user interfaces, except for existing exchange jobs (job type 'E').

exchange_name
string
required

Name used in the UI which replaces the word 'Exchange' for job types (job type 'E').

id
integer<int64>
required

Location identifier.

is_active
boolean
required

Records marked inactive are treated as deleted (soft delete).

leed_enabled
boolean
required

Enable LEED features.

main_inventory_name
string
required

Name of the location's main inventory.

name
string
required

Name for a location.

notify_on_acknowledged_job
boolean
required

Send email notification to the location's contact when a job is acknowledged.

notify_on_completed_job
boolean
required

Send email notification to the location's contact when a job is completed.

notify_on_dispatched_job
boolean
required

Send email notification to the location's contact when a job is dispatched.

notify_on_failed_job
boolean
required

Send email notification to the location's contact when a job is failed.

pickup_hidden
boolean
required

Hide pickup job type in user interfaces, except for existing pickup jobs (job type 'P').

pickup_name
string
required

Name used in the UI which replaces the word 'Pickup' for job types (job type 'P').

require_reason_fail_delay
boolean
required

Require drivers to input the reason that a job was failed or delayed

require_reference_number
boolean
required

Require reference numbers when creating or editing jobs.

require_signature
boolean
required

Require drivers to collect signatures when completing jobs.

service_disclaimer
string
required

Service disclaimer text presented to customers when drivers acquire signatures.

service_hidden
boolean
required

Hide service job type in user interfaces, except for existing service jobs (job type 'R').

service_name
string
required

Name used in the UI which replaces the word 'Service' for job types (job type 'R').

timezone
string
required

Timezone identifier.

use_additional_items
boolean
required

Use additional items.